package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.caoyao.cpzshandset.bean.UnpackBean;

public interface UnPackDal {
	public List<UnpackBean> queryAllUnPackList();
	public List<UnpackBean> queryAllUnPackListASC();
	public UnpackBean getUnPackBean(Cursor c);
	/**
	 * 根据拆包id，修改提交状态
	 * @param status
	 * @param errorCode
	 * @param id
	 */
	public void updateUnpackStatusById(int status,int errorCode,int id);
	/**
	 * 通过激活id删除拆包信息
	 * @param uBean
	 */
	public void deleteUnpackById(UnpackBean uBean);
	/**
	 * 插入拆包信息
	 * @param uBean
	 * @return
	 */
	public int insertUnpack(UnpackBean uBean);
	/**
	 * 拆包列表中已经存在该标签
	 * @param labelId
	 * @return
	 */
	public boolean hasExistUnpackLabel(String labelId);
}
